Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #503

Support adding remote folders via GIO
January 22, 2015 10:28 - Lurid Ace!

Status: Closed Start date: January 22, 2015
Priority: Minor Due date:

Assignee: % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 3.8

Affects version: 3.52

Description

Hi, I'm using Audacious 3.5.2 on ArchLinux with audacious-plugins-3.5.2-2 installed, The GIO plugin is correctly loaded without
errors, anyway it's not working, please see this log:

Audacious 3.5.2 (Arch Linux)

dbus-server.c:750 [name_acquired]: Owned D-Bus name (org.atheme.audacious) on session bus.

main.c:598 [main]: No remote session; starting up.

main.c:487 [init_two]: Loading configuration.

main.c:490 [init_two]: Initializing.

main.c:499 [init_two]: Loading lowlevel plugins.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Transport/gio.so
main.c:601 [main]: Startup complete.

probe.c:160 [file_find_decoder]: Probing smb://192.168.101.202/music/David%20Housden%20-%20Thomas%
20Was%20A1lone%200ST%20 (Deluxe%20Edition) .

probe.c:119 [probe_by_scheme]: Probing by scheme.

probe.c:190 [file_find_decoder]: Probe failed.

probe.c:160 [file_find_decoder]: Probing smb://192.168.101.202/music/David%20Housden%20-%20Thomas$
20Was%20A1one%200ST%20 (Deluxe%20Edition) .

probe.c:119 [probe_by_scheme]: Probing by scheme.

probe.c:49 [check_opened]: Opening smb://192.168.101.202/music/David%20Housden%20-%20Thomas%20Was$%
20A1one%200ST%20 (Deluxe%20Edition) .

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Transport/gio.so.

probe.c:55 [check_opened]: FAILED.

probe.c:152 [probe_by_content]: Probing by content.

probe.c:62 [probe_func]: util.c:163 [audgui_simple_message]: Trying 2SF Decoder.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/xsf.so.

Cannot open smb://192.168.101.202/music/David%20Housden%20-%20Thomas%20Was%$20A1one%200ST%20 (Deluxe
%20Edition): Nelze otevrit slozZku.

probe.c:190 [file_find_decoder]: Probe failed.

Gtk—-Message: GtkDialog mapped without a transient parent. This is discouraged.

note: | can't try the git version due to jack/jack2 conflicts in my system (many packackes uses jack and audacious-git version jack2)

History

#1 - January 22, 2015 19:49 - Thomas Lange
Actually you can try the git version, just replace jack2 with jack in the PKGBUILD.

#2 - January 22, 2015 20:47 - Lurid Ace!

Thanks for the hint! (I recently moved myself after 12 year on Gentoo to the Arch and now as | can see, it's not such dummy as | thought)

Anyway with Audacious 3.6-alphai (22.1.2015) I'm still experiencing the same issue with GIO:
INFO adder.cc:124 [add_file]: Adding file: smb://192.168.101.202/music/David%$20Housden%20-%20Thomas%20Was%20Al1
one%$200ST%20 (Deluxe%20Edition)

INFO probe.cc:34 [aud_file_find_decoder]: Probing smb://192.168.101.202/music/David%20Housden%$20-%20Thomas%20W
as%20A1one%200ST%20 (Deluxe%$20Edition) .

INFO probe.cc:34 [aud_file_find_decoder]: Probing smb://192.168.101.202/music/David%20Housden%$20-%20Thomas%20W
as%20Alone%200ST%20 (Deluxe%20Edition) .

INFO plugin-load.cc:55 [plugin_load]: Loading plugin: /usr/lib/audacious/Transport/gio.so.

ERROR gio.cc:127 [GIOFile]: Cannot open smb://192.168.101.202/music/David%20Housden%$20-%20Thomas%$20Was%$20Alone
%$200ST%20 (Deluxe%20Edition) : Nelze otevirit sloZku.

INFO probe.cc:77 [aud_file_find decoder]: Open failed: Nelze oteviit slozku.

#3 - January 23, 2015 02:14 - John Lindgren

Does gvfs-copy work for that same URI?

#4 - January 23, 2015 02:17 - John Lindgren

Actually, it looks like you are trying to add a folder from an SMB share. That isn't supported directly; you have to mount the SMB share locally
instead.

#5 - January 23, 2015 02:43 - John Lindgren
- Tracker changed from Bug to Feature

- Subject changed from GIO plugin doesn't work to Support adding remote folders via GIO

#6 - January 30, 2015 11:12 - Lurid Ace!

Does gvfs-copy work for that same URI?

Yes, but it seems that gvfs-copy can work just with files not folders:

$ gvis—copy "smb://192.168.101.202/music/David Housden - Thomas Was Alone OST (Deluxe Edition)" /tmp/
Error copying file smb://192.168.101.202/music/David Housden - Thomas Was Alone OST (Deluxe Edition): Can't re
cursively copy directory

$ gvfs—-copy "smb://192.168.101.202/music/David Housden - Thomas Was Alone OST (Deluxe Edition) /cover.jpg" /tmp
/

$ 1ls /tmp/cover.jpg
/tmp/cover. jpg

Actually, it looks like you are trying to add a folder from an SMB share. That isn't supported directly; you have to mount the SMB share locally
instead.

Or add just files, which is working and I'm satisfied with this (I don't want to mount this share locally). Thanks for the help and thank you for managing
this as a Feature request.

Cheers.
#7 - December 28, 2015 10:08 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.8

- % Done changed from 0 to 100

Adding of remote folders is working pretty well now in Git master.
